### Signal

# Ide Pipeline::launcher-created

#### Declaration

    void
    launcher_created (
      IdePipeline* self,
      IdeSubprocessLauncher* launcher,
      gpointer user_data
    )

#### Description

The “launcher-created” signal is emitted when a new `IdeSubprocessLauncher` is created by the pipeline. This may be useful to plugins that wan to modify the launcher in a consistent way for all pipeline consumers.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.34

#### Parameters

`launcher` | `IdeSubprocessLauncher`
| An `IdeSubprocessLauncher`.
| The data is owned by the caller of the function.